Skip to content

List of Managed Tenant By User For Support Operations.

GET
/api/web/namespaces/system/support-tenant/managed_tenants
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/support-tenant/managed_tenants \
--header 'Authorization: <Authorization>'

GET list of managed tenants that user have access to based on assingned membership. This is an optimized list generated based on the requesting user’s current group assignments that will allow access to managed tenant.

Examples of this operation.

search_keyword
string

Search Keyword for filtering the Managed Tenant List.

page_start
string

PageStart will hold the UUID of the first item in the requested page. Response will contain items upto count specified in PageLimit starting from PageStart. If this is empty then first page will be served.

page_limit
integer format: int32

PageLimit will hold the limit of items required per query. Default value is set as 100.

A successful response.

Media typeapplication/json
ListSupportTenantMTResp

Response to GET list of managed tenant access.

object
items
items

List support tenant MT items.

Array<object>
ListSupportTenantMTRespItem

List support tenant MT items.

object
disabled
access_status

A value of true indicates support access paused for tenant.

boolean format: boolean
groups
groups

List of local user group association to user groups in the managed tenant.

Array<object>
GroupAssignmentType

Shape for specifying user group assosciation to user groups in a managed tenant.

object
group
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
managed_tenant_groups
managed_tenant_groups

List of group names in managed tenant (MT). Note - To properly establish access, admin of managed tenant need to create corresponding Allowed Tenant configuration object with access to use same group names. Once it’s setup, when user from original tenant access managed tenant, underlying roles from managed tenant will be applied to user. Required: YES.

Array<string>
<= 32 items
link
object
href
HyperlinkRef

Referred link’s location. This can be treated as equivalent of href in HTML.

string
>= 1 characters <= 512 characters
name
Name

Name to use for displaying above link in href.

string
>= 1 characters <= 256 characters
name
Name

Name of the managed tenant config object. It can be used as known identifier.

string
>= 6 characters <= 1024 characters
tenant_status
string
default: TENANT_STATUS_ACTIVE
Allowed values: TENANT_STATUS_ACTIVE TENANT_STATUS_DISABLED TENANT_STATUS_TO_BE_DELETED TENANT_STATUS_INACTIVE
next_page
next_page

NextPage contains the UUID of the first item of the next page. This value can be passed back as the PageStart in the next request. If this empty means current one is the last page.

string
<= 1024 characters
total_count
total_count

TotalCount holds total count of access config.

integer format: int32
total_filtered_count
total_filtered_count

TotalFilteredCount holds total count of access config after filtering.

integer format: int32
Example
{
"items": [
{
"tenant_status": "TENANT_STATUS_ACTIVE"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example